OID reference

pingCtlRowStatus

1.3.6.1.4.1.529.34.1.2.1.21

Description

This object allows entries to be created and deleted in the pingCtlTable. Deletion of an entry in this table results in all corresponding (same pingCtlOwnerIndex and pingCtlTestName index values) pingResultsTable and pingProbeHistoryTable entries being deleted. A value MUST be specified for pingCtlTargetAddress prior …

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.529.34.1.2.1 (pingCtlEntry)
Node code
21
Node name
pingCtlRowStatus
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.529.34.1.2.1.21
URN notation
urn:oid:1.3.6.1.4.1.529.34.1.2.1.21
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 529 34 1 2 1 21}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlRowStatus(21)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/529/34/1/2/1/21
  • /ISO/Identified-Organization/6/1/4/1/529/34/1/2/1/21
  • /ISO/3/6/1/4/1/529/34/1/2/1/21
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/identified-organization/dod/internet/private/enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/identified-organization/dod/internet/private/enterprises/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/identified-organization/dod/internet/private/enterprises/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/identified-organization/dod/internet/private/vendor-objects/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/identified-organization/dod/internet/private/vendor-objects/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/org/dod/internet/private/enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/org/dod/internet/private/enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/org/dod/internet/private/enterprises/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/org/dod/internet/private/enterprises/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/org/dod/internet/private/ldap-enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/org/dod/internet/private/ldap-enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/org/dod/internet/private/vendor-objects/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • /iso/org/dod/internet/private/vendor-objects/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlRowStatus
  • Additional combinations skipped.

SNMP properties

Value type
RowStatus
Maximum access defined by MIB
read-write
Status in MIB
mandatory

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

The displayed source records contain one distinct definition. Compare its source records.

pingCtlRowStatus OBJECT-TYPE
      SYNTAX      RowStatus
      ACCESS  read-write
      STATUS      mandatory
      DESCRIPTION
          "This object allows entries to be created and deleted
          in the pingCtlTable.  Deletion of an entry in this
          table results in all corresponding (same
          pingCtlOwnerIndex and pingCtlTestName index values)
          pingResultsTable and pingProbeHistoryTable entries
          being deleted.
 
          A value MUST be specified for pingCtlTargetAddress
          prior to a transition to active(1) state being
          accepted.
 
          Activation of a remote ping operation is controlled
          via pingCtlAdminStatus and not by transitioning of
          this object's value to active(1).
 
          Transitions in and out of active(1) state are not
          allowed while an entry's pingResultsOperStatus is
          active(1) with the exception that deletion of
          an entry in this table by setting its RowStatus
          object to destroy(6) will stop an active
          ping operation.
 
          The operational state of a ping operation
          can be determined by examination of its
          pingResultsOperStatus object."
      REFERENCE
          "RFC 2579, 'Textual Conventions for SMIv2.'"
      ::= { pingCtlEntry 21 }

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

This object allows entries to be created and deleted in the pingCtlTable. Deletion of an entry in this table results in all corresponding (same pingCtlOwnerIndex and pingCtlTestName index values) pingResultsTable and pingProbeHistoryTable entries being deleted. A value MUST be specified for pingCtlTargetAddress prior to a transition to active(1) state being accepted. Activation of a remote ping operation is controlled via pingCtlAdminStatus and not by transitioning of this object's value to active(1). Transitions in and out of active(1) state are not allowed while an entry's pingResultsOperStatus is active(1) with the exception that deletion of an entry in this table by setting its RowStatus object to destroy(6) will stop an active ping operation. The operational state of a ping operation can be determined by examination of its pingResultsOperStatus object.

Sources for this description

MIBdepot

See 1 matching source record

Evidence

Source records

1 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1MIBdepot1 record · 1 source

Description 1

pingCtlRowStatus · mandatoryMIBdepot1 source

Status in source: mandatory.

Names: pingCtlRowStatus

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "pingCtlRowStatus",
    "OBJECT-TYPE",
    "SYNTAX",
    "RowStatus",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"This object allows entries to be created and deleted in the pingCtlTable. Deletion of an entry in this table results in all corresponding (same pingCtlOwnerIndex and pingCtlTestName index values) pingResultsTable and pingProbeHistoryTable entries being deleted. A value MUST be specified for pingCtlTargetAddress prior to a transition to active(1) state being accepted. Activation of a remote ping operation is controlled via pingCtlAdminStatus and not by transitioning of this object's value to active(1). Transitions in and out of active(1) state are not allowed while an entry's pingResultsOperStatus is active(1) with the exception that deletion of an entry in this table by setting its RowStatus object to destroy(6) will stop an active ping operation. The operational state of a ping operation can be determined by examination of its pingResultsOperStatus object.\"",
    "REFERENCE",
    "\"RFC 2579, 'Textual Conventions for SMIv2.'\"",
    "::=",
    "{",
    "pingCtlEntry",
    "21",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "RowStatus"
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "This object allows entries to be created and deleted in the pingCtlTable. Deletion of an entry in this table results in all corresponding (same pingCtlOwnerIndex and pingCtlTestName index values) pingResultsTable and pingProbeHistoryTable entries being deleted. A value MUST be specified for pingCtlTargetAddress prior to a transition to active(1) state being accepted. Activation of a remote ping operation is controlled via pingCtlAdminStatus and not by transitioning of this object's value to active(1). Transitions in and out of active(1) state are not allowed while an entry's pingResultsOperStatus is active(1) with the exception that deletion of an entry in this table by setting its RowStatus object to destroy(6) will stop an active ping operation. The operational state of a ping operation can be determined by examination of its pingResultsOperStatus object."
    ],
    [
      "REFERENCE",
      "RFC 2579, 'Textual Conventions for SMIv2.'"
    ],
    null,
    null,
    null
  ]
}
  • Preserved mibdepot archive

    Module: DISMAN-PING-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'ASCEND-MIB': ['pingMIB'], 'SNMPv2-SMI-v1': ['Integer32', 'Counter32', 'Unsigned32', 'RowStatus', 'StorageType', 'TruthValue', 'DateAndTime'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download ping.mib.txt

Historical records

Additional source information

Information from OID Repository
Vendor: Ascend
Module: DISMAN-PING-MIB (ping.mib)
Type: TABULAR
Access: read-write
Syntax: RowStatus

Automatically extracted from www.mibdepot.com

Siblings (20)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.529.34.1.2.1.1 pingCtlOwnerIndex00
1.3.6.1.4.1.529.34.1.2.1.2 pingCtlTestName00
1.3.6.1.4.1.529.34.1.2.1.3 pingCtlTargetAddressType00
1.3.6.1.4.1.529.34.1.2.1.4 pingCtlTargetAddress00
1.3.6.1.4.1.529.34.1.2.1.5 pingCtlDataSize00
1.3.6.1.4.1.529.34.1.2.1.6 pingCtlTimeOut00
1.3.6.1.4.1.529.34.1.2.1.7 pingCtlProbeCount00
1.3.6.1.4.1.529.34.1.2.1.8 pingCtlAdminStatus00
1.3.6.1.4.1.529.34.1.2.1.9 pingCtlDataFill00
1.3.6.1.4.1.529.34.1.2.1.10 pingCtlFrequency00
1.3.6.1.4.1.529.34.1.2.1.11 pingCtlMaxRows00
1.3.6.1.4.1.529.34.1.2.1.12 pingCtlStorageType00
1.3.6.1.4.1.529.34.1.2.1.13 pingCtlTrapGeneration00
1.3.6.1.4.1.529.34.1.2.1.14 pingCtlTrapFilter00
1.3.6.1.4.1.529.34.1.2.1.15 pingCtlType00
1.3.6.1.4.1.529.34.1.2.1.16 pingCtlDescr00
1.3.6.1.4.1.529.34.1.2.1.17 pingCtlSourceAddress00
1.3.6.1.4.1.529.34.1.2.1.18 pingCtlIfIndex00
1.3.6.1.4.1.529.34.1.2.1.19 pingCtlByPassRouteTable00
1.3.6.1.4.1.529.34.1.2.1.20 pingCtlDSField00